VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::recovery::Backup Interface Reference

`Backup` interface provides methods Performs backup restore operations More...

Inherited by vmware::appliance::recovery::BackupStub.

List of all members.

## Public Member Functions
vmware.appliance.recovery.BackupTypes.ReturnResult | Validate (vmware.appliance.recovery.BackupTypes.BackupRequest piece)
| Check for backup errors without starting backup.
vmware.appliance.recovery.BackupTypes.ReturnResult | Validate (vmware.appliance.recovery.BackupTypes.BackupRequest piece, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Check for backup errors without starting backup.
global::System.Threading.Tasks.Task < vmware.appliance.recovery.BackupTypes.ReturnResult > | ValidateAsync (vmware.appliance.recovery.BackupTypes.BackupRequest piece)
| Check for backup errors without starting backup.
global::System.Threading.Tasks.Task < vmware.appliance.recovery.BackupTypes.ReturnResult > | ValidateAsync (vmware.appliance.recovery.BackupTypes.BackupRequest piece, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Check for backup errors without starting backup.

## Detailed Description

`Backup` interface provides methods Performs backup restore operations

## Member Function Documentation

vmware.appliance.recovery.BackupTypes.ReturnResult vmware::appliance::recovery::Backup::Validate | ( | vmware.appliance.recovery.BackupTypes.BackupRequest | piece | ) |

Check for backup errors without starting backup.

Exceptions:

  vmware.vapi.std.errors.FeatureInUse | A backup or restore is already in progress
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  piece | BackupRequest Structure

Returns:
  ReturnResult Structure

Implemented in vmware::appliance::recovery::BackupStub.

vmware.appliance.recovery.BackupTypes.ReturnResult vmware::appliance::recovery::Backup::Validate | ( | vmware.appliance.recovery.BackupTypes.BackupRequest | piece,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Check for backup errors without starting backup.

Exceptions:

  vmware.vapi.std.errors.FeatureInUse | A backup or restore is already in progress
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  piece | BackupRequest Structure
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  ReturnResult Structure

Implemented in vmware::appliance::recovery::BackupStub.

global::System.Threading.Tasks.Task<vmware.appliance.recovery.BackupTypes.ReturnResult> vmware::appliance::recovery::Backup::ValidateAsync | ( | vmware.appliance.recovery.BackupTypes.BackupRequest | piece | ) |

Check for backup errors without starting backup.

Exceptions:

  vmware.vapi.std.errors.FeatureInUse | A backup or restore is already in progress
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  piece | BackupRequest Structure

Returns:
  ReturnResult Structure

Implemented in vmware::appliance::recovery::BackupStub.

global::System.Threading.Tasks.Task<vmware.appliance.recovery.BackupTypes.ReturnResult> vmware::appliance::recovery::Backup::ValidateAsync | ( | vmware.appliance.recovery.BackupTypes.BackupRequest | piece,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Check for backup errors without starting backup.

Exceptions:

  vmware.vapi.std.errors.FeatureInUse | A backup or restore is already in progress
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  piece | BackupRequest Structure
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  ReturnResult Structure

Implemented in vmware::appliance::recovery::BackupStub.

The documentation for this interface was generated from the following file:

- Backup.cs